Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.petrinet
Class AblePetriNode

    java.lang.Object
      com.ibm.able.AbleObject
          com.ibm.able.beans.petrinet.AblePetriNode

All Implemented Interfaces:
  AbleBean, AbleDataBufferManager, AbleEventListener, AbleEventListenerManager, AbleEventQueueManager, AbleEventQueueProcessor, AblePropertyChangeManager, AbleSerializable, java.io.Serializable

Direct Known Subclasses:
  AblePetriPlace, AblePetriTransition

public class AblePetriNode
extends AbleObject
implements java.io.Serializable

This class represents a Node (Place or Transition) in a High-Level Petri net

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `myInputArcs`
`protected java.util.Vector` | `myOutputArcs`

Fields inherited from class com.ibm.able.AbleObject
`changed, chgSupport, comment, dataFlowEnabled, defaultName, destBufferConnections, eventQueue, fileName, inputBuffer, listeners, logger, name, outputBuffer, parent, properties, propertyConnectionMgr, sourceBufferConnections, state, stateChgSupport, trace`

Constructor Summary
`AblePetriNode()` Create an instance of a Node
`AblePetriNode(java.lang.String theName)` Create an instance of a Place with specified name

Method Summary
`void` | `addDestBufferConnection(AbleBufferConnection theAbleBufferConnection)` Adds a destination buffer connection.
`void` | `addInputArc(AblePetriArc theArc)`
`void` | `addOutputArc(AblePetriArc theArc)`
`void` | `addSourceBufferConnection(AbleBufferConnection theAbleBufferConnection)` Adds a source buffer connection.
`java.util.Vector` | `getDestBufferConnections()` Returns the list of all destination (output) buffer connections.
`java.util.Vector` | `getInputArcs()`
`java.lang.String` | `getName()` Returns the name of this bean.
`java.util.Vector` | `getOutputArcs()`
`java.util.Vector` | `getSourceBufferConnections()` Returns a list of all source (input) buffer connections.
`void` | `removeDestBufferConnection(AbleBufferConnection theAbleBufferConnection)` Remove a destination buffer connection.
`void` | `removeInputArc(AblePetriArc theArc)`
`void` | `removeOutputArc(AblePetriArc theArc)`
`void` | `removeSourceBufferConnection(AbleBufferConnection theAbleBufferConnection)` Removes a source buffer connection.
`void` | `setInputArcs(java.util.Vector theInputArcs)`
`void` | `setOutputArcs(java.util.Vector theOutputArcs)`

Methods inherited from class com.ibm.able.AbleObject
`addAbleEventListener, addPropertyChangeListener, addPropertyConnection, addStateChangeListener, dataChanged, firePropertyChange, flushAbleEventQueue, getAbleEventListeners, getAbleEventProcessingEnabled, getAbleEventQueueSize, getComment, getFileName, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getLogger, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getParent, getProperties, getProperty, getPropertyChangeListeners, getPropertyConnectionManager, getSleepTime, getState, getTraceLogger, handleAbleEvent, hasInputBuffer, hasOutputBuffer, init, init, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isChanged, isConnectable, isDataFlowEnabled, isTimerEventProcessingEnabled, notifyAbleEventListeners, process, process, processAbleEvent, processBufferConnections, processNoEventProcessingEnabledSituation, processTimerEvent, quitAll, quitEnabledEventProcessing, removeAbleEventListener, removeAllAbleEventListeners, removeAllBufferConnections, removeAllConnections, removeAllPropertyConnections, removeProperty, removePropertyChangeListener, removePropertyConnection, removeStateChangeListener, reset, restartEnabledEventProcessing, restoreFromFile, restoreFromFile, restoreFromSerializedFile, restoreFromStream, resumeAll, resumeEnabledEventProcessing, saveToFile, saveToFile, setAbleEventProcessingEnabled, setChanged, setComment, setDataFlowEnabled, setFileName, setInputBuffer, setInputBuffer, setLogger, setName, setOutputBuffer, setOutputBuffer, setParent, setProperties, setProperty, setSleepTime, setState, setTimerEventProcessingEnabled, setTraceLogger, sourceConnectionsOK, startEnabledEventProcessing, suspendAll, suspendEnabledEventProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myInputArcs

    protected java.util.Vector myInputArcs

### myOutputArcs

    protected java.util.Vector myOutputArcs

Constructor Detail

### AblePetriNode

    public AblePetriNode()

  Create an instance of a Node

### AblePetriNode

    public AblePetriNode(java.lang.String theName)

  Create an instance of a Place with specified name

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `AbleBean`
  Returns the name of this bean.

  Specified by:
    `getName` in interface `AbleBean`
  Overrides:
    `getName` in class `AbleObject`

### setInputArcs

    public void setInputArcs(java.util.Vector theInputArcs)

### getInputArcs

    public java.util.Vector getInputArcs()

### addInputArc

    public void addInputArc(AblePetriArc theArc)

### removeInputArc

    public void removeInputArc(AblePetriArc theArc)

### setOutputArcs

    public void setOutputArcs(java.util.Vector theOutputArcs)

### getOutputArcs

    public java.util.Vector getOutputArcs()

### addOutputArc

    public void addOutputArc(AblePetriArc theArc)

### removeOutputArc

    public void removeOutputArc(AblePetriArc theArc)

### addSourceBufferConnection

    public void addSourceBufferConnection(AbleBufferConnection theAbleBufferConnection)

  Adds a source buffer connection.

  An `AbleProperty.SourceBufferConnections` PropertyChangeEvent is fired.

  Specified by:
    `addSourceBufferConnection` in interface `AbleDataBufferManager`
  Overrides:
    `addSourceBufferConnection` in class `AbleObject`
  Parameters:
    `theAbleBufferConnection` - An AbleBufferConnection object including a bean whose output buffer populates this bean's input buffer.

### removeSourceBufferConnection

    public void removeSourceBufferConnection(AbleBufferConnection theAbleBufferConnection)

  Removes a source buffer connection.

  An `AbleProperty.SourceBufferConnections` PropertyChangeEvent is fired.

  Specified by:
    `removeSourceBufferConnection` in interface `AbleDataBufferManager`
  Overrides:
    `removeSourceBufferConnection` in class `AbleObject`
  Parameters:
    `theAbleBufferConnection` - The AbleBufferConnection object to be removed.

### getSourceBufferConnections

    public java.util.Vector getSourceBufferConnections()

  Description copied from interface: `AbleDataBufferManager`
  Returns a list of all source (input) buffer connections. Typically only one of these connections is to an active bean.

  Specified by:
    `getSourceBufferConnections` in interface `AbleDataBufferManager`
  Overrides:
    `getSourceBufferConnections` in class `AbleObject`

### addDestBufferConnection

    public void addDestBufferConnection(AbleBufferConnection theAbleBufferConnection)

  Adds a destination buffer connection.

  An `AbleProperty.DestBufferConnections` PropertyChangeEvent is fired.

  Specified by:
    `addDestBufferConnection` in interface `AbleDataBufferManager`
  Overrides:
    `addDestBufferConnection` in class `AbleObject`
  Parameters:
    `theAbleBufferConnection` - An AbleBufferConnection object including a bean whose input buffer is to be populated from this bean's output buffer.

### removeDestBufferConnection

    public void removeDestBufferConnection(AbleBufferConnection theAbleBufferConnection)

  Remove a destination buffer connection.

  An `AbleProperty.DestBufferConnections` PropertyChangeEvent is fired.

  Specified by:
    `removeDestBufferConnection` in interface `AbleDataBufferManager`
  Overrides:
    `removeDestBufferConnection` in class `AbleObject`
  Parameters:
    `theAbleBufferConnection` - The AbleBufferConnection object to be removed.

### getDestBufferConnections

    public java.util.Vector getDestBufferConnections()

  Description copied from interface: `AbleDataBufferManager`
  Returns the list of all destination (output) buffer connections.

  Specified by:
    `getDestBufferConnections` in interface `AbleDataBufferManager`
  Overrides:
    `getDestBufferConnections` in class `AbleObject`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005